[Tkinter-discuss] Python 2.1 with tcl/tk 8.4.5

Mathieu Cousy mathieu.cousy at cena.fr
Wed May 11 15:39:18 CEST 2005

Hi all,
For different reasons I need to build a python interpreter 2.1 linked
with tk 8.4.5 library (I am working on a Debian Woody system). The whole
python building process succeeded but when I try to run the tkinter demo
(Demo/tkinter/guido/AttrDialog.py) an exception is raised on any events
(mouse pressed, key pressed...). The exception is :

Exception in Tkinter callback
Traceback (most recent call last):
"/home/cousy/dev/debian/Python-2.1.3/install/lib/python2.1/lib-tk/Tkinter.py", line 1284, in __call__
    args = apply(self.subst, args)
"/home/cousy/dev/debian/Python-2.1.3/install/lib/python2.1/lib-tk/Tkinter.py", line 1024, in _substitute
    e.num = getint(b)
ValueError: invalid literal for int(): ??

Is there any kind of incompatibility between these versions ? 
Any hints, docs, links etc would be much appreciated.

Thanks in adavance,

                Mathieu COUSY
            Prestataire QUATERNOVE
Centre d'Etudes de la Navigation Aerienne (CENA)
		 Division I.C.S. 
      Batiment 1608, Route peripherique Est
          91200 Athis-Mons, FRANCE
	   tel : 01 69 57 68 35
	  Mail : cousy at ath.cena.fr
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.python.org/pipermail/tkinter-discuss/attachments/20050511/56e2dc3b/attachment.htm

More information about the Tkinter-discuss mailing list